/**
This file is part of a project licensed under the GNU General Public License v3.
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
*/

html {
    overflow-y: auto !important;
}

.splitpanes__pane {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .is-relative {
    width: 100%;
    height: 100%;
    position: relative;
  }
  
  .hero {
    .is-covering {
      position: absolute;
      left: 0;
      top: 0;
      right: 0;
      bottom: 0;
    }
  
    .is-relative {
      width: 100%;
      height: 50%;
      position: relative;
    }
  
    .has-shadow {
      box-shadow: 2px 0 2px rgba(0, 0, 0, 0.375) !important;
    }
  
    .column.is-paddingless-horizontal {
      padding-left: 0;
      padding-right: 0;
    }
  }
.is-margin-top {
  margin-top: 1.5rem;
}

.is-margin-bottom {
  margin-bottom: 1.25rem;
}

.has-shadow {
    box-shadow: 0 1px $border;
}

.has-border-bottom {
    border-bottom: 1px solid $border;
}

.editor{
    height: 100%; flex: 1; overflow: auto
}

.line {
    &.is-selected {
      outline: none;
      border-color: $link-80;
      background-color: rgba(25, 48, 96, 0.05);
      border-inline: 2px solid;
    }
    :hover {
      background-color: rgba(203, 210, 223, 0.05);
      color: rgb(41, 39, 39);
    }
  }
  .navbar-start {
    width: 80%;
  }
  .navbar-end {
    width: 100%;
  }
  
  .tag {
    padding-top: 0.1rem;
    margin-left: 0.3rem !important;
    margin-right: 0.3rem !important;
    font-size: inherit;
  }
  .menu-button {
    padding-left: 0;
    padding-right: 0;
    padding-top: 0;
    padding-bottom: 0;
    margin-left: 0.2rem;
    margin-right: 0.2rem;
  }
  .bubble-menu {
   
    text-align: center;
    border-radius: 0.5rem;
    position: initial !important;
  
    button {
      border: none;
      background: none;
      color: #fff;
      text-align: center;
      font-size: 0.85rem;
      font-weight: 500;
      padding: 0 0.9rem;
      margin: 0.2rem;
  
      &.is-active {
        opacity: 1;
        outline: 3px solid black;
      }
    }
  }
  
  .center {
    text-align: center;
  }
  
  .tag {
    padding-top: 0.1rem;
    height: auto;
  }
  
  .ProseMirror {
    table {
      border-collapse: collapse;
      table-layout: fixed;
      overflow: hidden;
      margin-left: auto;
      margin-right: auto;
      text-align: center;
  
      td,
      th {
        min-width: 1em;
        border: 2px solid #ced4da;
        padding: 3px 5px;
        vertical-align: top;
        box-sizing: border-box;
        position: relative;
  
        > * {
          margin-bottom: 0;
        }
      }
  
      th {
        font-weight: bold;
        text-align: left;
        background-color: #f1f3f5;
      }
  
      .selectedCell:after {
        z-index: 2;
        position: absolute;
        content: "";
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        background: rgba(243, 243, 248, 0.4);
        pointer-events: none;
      }
  
      .column-resize-handle {
        position: absolute;
        right: -2px;
        top: 0;
        bottom: -2px;
        width: 4px;
        background-color: #adf;
        pointer-events: none;
      }
    }
  }
  .seperator {
    background-color: whitesmoke;
    border: none;
   
    margin: 0.2rem;
  }

  #imageHorizontal{
    background: none; height: 100%; position: relative; z-index: 30
  }

  #contentHorizontal{
    background: none; position: relative
  }

  #imageVertical{
    background: none; position: relative; z-index: 30
  }

  #contentVertical{
    background: none; position: relative
  }

  .editor {
    box-sizing: border-box;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    max-height: 100%;
    position: relative;
    width: 100%;
  
    &__header {
      border: 2px solid #f7f7f7;
      display: flex;
      flex-shrink: 5;
      flex-wrap: wrap;
      padding: 5px;
      position: relative;
      margin-left: 5%;
      margin-right: 5%;
    }
  
    &__side {
      float: right;
      flex: 2 2 auto;
      flex-wrap: wrap;
      overflow-x: hidden;
      overflow-y: auto;
    }
  
    &__content {
      flex: 1 1 auto;
      text-align: center;
      overflow-x: hidden;
      overflow-y: auto;
      -webkit-overflow-scrolling: touch;
    }
  }
  .menu {
    width: 100%;
  }
  .vl {
    border-left: 6px solid green;
    margin: 0;
  }


.layout .highlight {
  fill: rgba(black, 0.25);
  stroke: rgba(black, 0.5);
  stroke-width: 2px;
  vector-effect: non-scaling-stroke;

  &.is-primary {
    fill: rgba($link, 0.25);
    stroke: rgba($link, 0.5);

    &.is-selected {
      fill: rgba($primary, 0.125);
    }

    &:hover {
      fill: rgba($primary, 0.2);
    }
  }
}

.layout {
  .content {
    fill: transparent;
  }

  .element {
    fill: transparent;
    stroke-width: 2px;
    stroke: transparent;
    vector-effect: non-scaling-stroke;
    cursor: pointer;

    &.is-highlighted {
      stroke: $link-10;
      fill: $link-10;
    }

    &.is-search {
      stroke: $search-80;
      fill: $search-10;
    }

    &:hover {
      fill: $primary-02;
    }

    &.is-selected {
      fill: $primary-10;
    }
  }
}

.detail-image-controls-wrapper {
  position: absolute;
  right: 1.25rem;
  top: 1.25rem;
}